# Interface TableMapping

All Known Implementing Classes:
  `Match2Mapping, SkyMatch2Mapping`

public interface TableMapping
Defines an operation which maps zero or more tables on input to a table on output.

Since:
  15 Aug 2005
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`uk.ac.starlink.table.StarTable`
`mapTables(InputTableSpec[] in)`
Perform table mapping.

## Method Details

### mapTables

uk.ac.starlink.table.StarTable mapTables(InputTableSpec[] in) throws IOException, uk.ac.starlink.task.TaskException
Perform table mapping.

Parameters:
  `in` - input tables
Returns:
  result of processing input tables
Throws:
  `IOException`
  `uk.ac.starlink.task.TaskException`